| OpenCV 3.4.7 Open Source Computer Vision

Functions
Robust Estimation
Structure From Motion

## Functions
double | cv::sfm::fundamentalFromCorrespondences7PointRobust (InputArray x1, InputArray x2, double max_error, OutputArray F, OutputArray inliers, double outliers_probability=1e-2)
| Estimate robustly the fundamental matrix between two dataset of 2D point (image coords space). More...
double | cv::sfm::fundamentalFromCorrespondences8PointRobust (InputArray x1, InputArray x2, double max_error, OutputArray F, OutputArray inliers, double outliers_probability=1e-2)
| Estimate robustly the fundamental matrix between two dataset of 2D point (image coords space). More...

## Detailed Description

## Function Documentation

## § fundamentalFromCorrespondences7PointRobust()

double cv::sfm::fundamentalFromCorrespondences7PointRobust | ( | InputArray | x1,
|  | InputArray | x2,
|  | double | max_error,
|  | OutputArray | F,
|  | OutputArray | inliers,
|  | double | outliers_probability = `1e-2`
| ) |  |

`#include <opencv2/sfm/robust.hpp>`

Estimate robustly the fundamental matrix between two dataset of 2D point (image coords space).

Parameters

  x1 | Input 2xN Array of 2D points in view 1.
  x2 | Input 2xN Array of 2D points in view 2.
  max_error | maximum error (in pixels).
  F | Output 3x3 fundamental matrix such that \(x_2^T F x_1=0\).
  inliers | Output 1xN vector that contains the indexes of the detected inliers.
  outliers_probability | outliers probability (in ]0,1[). The number of iterations is controlled using the following equation: \(k = \frac{log(1-p)}{log(1.0 - w^n )}\) where \(k\), \(w\) and \(n\) are the number of iterations, the inliers ratio and minimun number of selected independent samples. The more this value is high, the less the function selects ramdom samples.

The fundamental solver relies on the 7 point solution. Returns the best error (in pixels), associated to the solution F.

## § fundamentalFromCorrespondences8PointRobust()

double cv::sfm::fundamentalFromCorrespondences8PointRobust | ( | InputArray | x1,
|  | InputArray | x2,
|  | double | max_error,
|  | OutputArray | F,
|  | OutputArray | inliers,
|  | double | outliers_probability = `1e-2`
| ) |  |

`#include <opencv2/sfm/robust.hpp>`

Estimate robustly the fundamental matrix between two dataset of 2D point (image coords space).

Parameters

  x1 | Input 2xN Array of 2D points in view 1.
  x2 | Input 2xN Array of 2D points in view 2.
  max_error | maximum error (in pixels).
  F | Output 3x3 fundamental matrix such that \(x_2^T F x_1=0\).
  inliers | Output 1xN vector that contains the indexes of the detected inliers.
  outliers_probability | outliers probability (in ]0,1[). The number of iterations is controlled using the following equation: \(k = \frac{log(1-p)}{log(1.0 - w^n )}\) where \(k\), \(w\) and \(n\) are the number of iterations, the inliers ratio and minimun number of selected independent samples. The more this value is high, the less the function selects ramdom samples.

The fundamental solver relies on the 8 point solution. Returns the best error (in pixels), associated to the solution F.